# No proper release-tags, yet.  :(
%global commit f65321736475429316f07ee94ec0deac8e46ec4a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20201025
%global git_ver -git%{gitdate}.%{shortcommit}
%global git_rel 0.git%{gitdate}.

%define rel 2

Name:		bluez-tools
Version:	0.2.0
Release:	%mkrel %{?git_rel}%{rel}
Summary:	A set of tools to manage Bluetooth devices for Linux
License:	GPLv2+
Group:		Communications/Bluetooth
URL:		https://github.com/khvzak/bluez-tools
Source0:	https://github.com/khvzak/bluez-tools/archive/%{commit}.tar.gz#/%{name}-%{version}%{?git_ver}.tar.gz
BuildRequires:	gcc
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(readline)

Requires:	bluez

%description
This was a GSoC'10 project to implement a new command line tools for
bluez (Bluetooth stack for Linux).  It is currently an active open
source project.

The project is implemented in C and uses the D-Bus interface of bluez.

The project is still a work in progress, and not all APIs from Bluez
have been implemented as a part of bluez-tools.  The APIs which have
been implemented in bluez-tools are adapter, agent, device, network
and obex.  Other APIs, such as interfaces for medical devices,
pedometers and other specific APIs have not been ported to bluez-tools.


%prep
%autosetup -n %{name}-%{commit} -p 1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/bt-*
%{_mandir}/man1/bt-*


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 0.2.0-0.git20201025.2.mga10
+ Revision: 2246817
- Mageia 10 Mass Rebuild

* Tue May 02 2023 daviddavid <daviddavid> 0.2.0-0.git20201025.1.mga9
+ Revision: 1955630
- update to latest git snapshot 20201025

* Mon Dec 05 2022 mrambo3501 <mrambo3501> 0.2.0-0.git20190428.4.mga9
+ Revision: 1918343
- bump rel

* Tue Jun 30 2020 joequant <joequant> 0.2.0-0.git20190428.3.mga8
+ Revision: 1600639
- fix gcc10

* Sun Feb 23 2020 joequant <joequant> 0.2.0-0.git20190428.2.mga8
+ Revision: 1549648
- fix bluez requires

* Sun Feb 23 2020 joequant <joequant> 0.2.0-0.git20190428.1.mga8
+ Revision: 1549647
- update to 20190428
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 05 2020 tv <tv> 0.2.0-0.git20170912.2.mga8
+ Revision: 1476626
- rebuild for new readline

* Sat Apr 13 2019 wally <wally> 0.2.0-0.git20170912.1.mga7
+ Revision: 1389586
- Import bluez-tools based on .spec from Fedora

